Growth
Review intelligence
Sentiment, topic distribution, emerging complaints and positive themes. Complaint trends are normalised per 100 orders so a shrinking segment cannot mask a worsening experience.
Authorization
HTTPBearer AuthorizationBearer <token>
JWT access token
In: header
Query Parameters
days?integer
Look-back window in days.
Range
7 <= value <= 180Default
30merchant_id?|
Optional merchant to act on. Must be one you are a member of.
Format
uuidHeader Parameters
X-Merchant-ID?string|null
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/reviews/intelligence"{ "data": { "by_daypart": [ { "avg_rating": 0, "change_pct": 0, "count": 0, "is_emerging_complaint": false, "label": "string", "negative_count": 0, "negative_share_pct": 0, "positive_count": 0, "previous_count": 0, "sample_review_ids": [ "9e2ab57e-d494-4d61-be18-93bcec83fb11" ], "share_pct": 0, "topic": "string", "trend": "UP" } ], "emerging_complaints": [ { "avg_rating": 0, "change_pct": 0, "count": 0, "is_emerging_complaint": false, "label": "string", "negative_count": 0, "negative_share_pct": 0, "positive_count": 0, "previous_count": 0, "sample_review_ids": [ "9e2ab57e-d494-4d61-be18-93bcec83fb11" ], "share_pct": 0, "topic": "string", "trend": "UP" } ], "generated_at": "2019-08-24T14:15:22Z", "negative_topic_trend": [ { "date": "2019-08-24", "label": "string", "secondary_value": 0, "value": 0 } ], "period_reviews": 0, "positive_themes": [ { "avg_rating": 0, "change_pct": 0, "count": 0, "is_emerging_complaint": false, "label": "string", "negative_count": 0, "negative_share_pct": 0, "positive_count": 0, "previous_count": 0, "sample_review_ids": [ "9e2ab57e-d494-4d61-be18-93bcec83fb11" ], "share_pct": 0, "topic": "string", "trend": "UP" } ], "provenance": { "data_source": "SEEDED", "is_simulated": true, "note": "Seeded demo dataset - not computed from a live PayPal merchant account." }, "rating_trend": [ { "date": "2019-08-24", "label": "string", "secondary_value": 0, "value": 0 } ], "recent_reviews": [ { "author_name": "string", "body": "string", "daypart": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "is_simulated": true, "is_verified_purchase": true, "primary_topic": "string", "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1", "rating": 0, "review_date": "2019-08-24", "reviewed_at": "2019-08-24T14:15:22Z", "sentiment": "string", "sentiment_score": 0, "source": "string", "title": "string", "topics": [ "string" ] } ], "sentiment": { "avg_rating": 0, "avg_rating_change": 0, "negative": 0, "negative_pct": 0, "neutral": 0, "neutral_pct": 0, "positive": 0, "positive_pct": 0, "previous_avg_rating": 0 }, "topics": [ { "avg_rating": 0, "change_pct": 0, "count": 0, "is_emerging_complaint": false, "label": "string", "negative_count": 0, "negative_share_pct": 0, "positive_count": 0, "previous_count": 0, "sample_review_ids": [ "9e2ab57e-d494-4d61-be18-93bcec83fb11" ], "share_pct": 0, "topic": "string", "trend": "UP" } ], "total_reviews": 0 }, "meta": {}, "success": true}